Skip to content

Save the draft's blocks (autosave or Save): a new version; the live page changes only when published

PUT
/api/v1/workspaces/{workspace}/pages/{page}/content
curl --request PUT \
--url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/pages/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/content \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "baseVersion": 1, "force": true, "html": "example", "manual": true, "project": "example" }'

Permission: website:edit

A newer version saved meanwhile by someone else answers 409 version_conflict with who saved it; send force to keep yours on top.

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

page
required

The page’s id

string format: uuid

The page’s id

Media typeapplication/json
object
baseVersion
required
integer format: int32
>= 1
force
boolean
html
required
string
<= 2097152 characters
manual
boolean
project

Example generated

{
"baseVersion": 1,
"force": true,
"html": "example",
"manual": true,
"project": "example"
}

OK

Media typeapplication/json
object
changes
required
boolean
checks
required
Array<object>
object
account
string
at
string format: date-time
by
string
count
integer format: int64
detail
string
httpStatus
integer format: int64
key
required
string
Allowed values: address heading moments product stripe form images links visibility store_blocks
mode
string
name
string
path
string
problem
string
pwyw
boolean
ref
string
status
required
string
Allowed values: pass warn block
counts
required
object
blocks
required
integer format: int64
images
required
integer format: int64
imagesWithAlt
required
integer format: int64
links
required
integer format: int64
savedAt
required
string format: date-time
savedBy
object
avatarColor
required
string
id
required
string
initials
required
string
name
required
string
version
required
integer format: int32

Example

{
"checks": [
{
"key": "address",
"status": "pass"
}
]
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}